Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 30 Oct 2014, 12:52
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
gtkdialog3 and gtkdialog as PETS
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
8-bit


Joined: 03 Apr 2007
Posts: 3387
Location: Oregon

PostPosted: Sun 25 Sep 2011, 13:55    Post_subject:  gtkdialog3 and gtkdialog as PETS
Sub_title: Puppy versions compatability
 

I have wondered about gtkdialog and gtkdialog3 being PET packages and if problems can arise from using a PET on different versions of Puppy.
When you install Puppy either frugally or full install, gtkdialog3 is part of the package.
I assume that means it was compiled for that version of Puppy and the kernel it uses.
With the development version of gtkdialog, I compile it on the version of Puppy I am using it on.
But, if it is compiled on Lucid Puppy, is it safe to use it with Wary, Quirky, Puppy 4 series, Puppy 2 series, etc.

I realize it relies on having the correct version of GTK installed. But I do not know if using gtkdialog compiled on one Puppy will work on another.

Enlighten me.
Back to top
View user's profile Send_private_message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7060
Location: Perth, Western Australia

PostPosted: Sun 25 Sep 2011, 18:49    Post_subject:  

I compiled gtkdialog3 and gtkdialog4 in Wary and put them into the 'common' repo. They should work in all other puppies, but perhaps not in older pre-5.x puppies.

PETs:
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog3-0.7.20-patriot-e-2.pet
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4-246-w5.pet

http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog3_DEV-0.7.20-patriot-e-2.pet
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4_DOC-246-w5.pet

Woof-built puppies use these, unless they compile their own PETs.
I haven't had any reports of them not working in other non-Wary builds.

_________________
http://bkhome.org/news/
Back to top
View user's profile Send_private_message Visit_website 
01micko


Joined: 11 Oct 2008
Posts: 7840
Location: qld

PostPosted: Sun 25 Sep 2011, 18:59    Post_subject:  

BarryK wrote:
I compiled gtkdialog3 and gtkdialog4 in Wary and put them into the 'common' repo. They should work in all other puppies, but perhaps not in older pre-5.x puppies.

PETs:
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog3-0.7.20-patriot-e-2.pet
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4-246-w5.pet

http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog3_DEV-0.7.20-patriot-e-2.pet
http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4_DOC-246-w5.pet

Woof-built puppies use these, unless they compile their own PETs.
I haven't had any reports of them not working in other non-Wary builds.


Wary gtkdialog4 version actually works in Puppy-4.2.X, which means it would work in 4.1.X.. I added some dep, can't recall ATM, It's documented in the wallpaper thread I started.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
8-bit


Joined: 03 Apr 2007
Posts: 3387
Location: Oregon

PostPosted: Sun 25 Sep 2011, 19:43    Post_subject:  

Thank you for that information.
The only reason I asked is that a user of Lucid 520 was trying to run lameSMBxplorer and Pupsave-backup (hotbackup.tar.gz) and was having problems.
Why he installed the gtkdialog pet from Barry, when he in effect had it already as part of Lucid 520, I do not know.
I assume the gtkdialog3 from Barry is just the Patriot version of it.

But after some help, he got his added applications to work so the subject is mute now.

Also, the update of gtkdialog4 is now old as a lot of development has happened since then.
But there is also good news in that thunor says he is in the process of making an official release.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0511s ][ Queries: 11 (0.0057s) ][ GZIP on ]